none
.Net Framework Farkları RRS feed

  • Soru

  • Merhaba;

    Visual Studio 2010 üzerinde hazırlamış olduğum ve uzun süredir yayında olup kullanılan programa ilişkin mevcut framework .Net Framework 4 Client Profile. 

    Bilgisayara studio 2017 yüklemem sonrası bu projeyi yeni studioda açıp framework'ü de 4.7.2 yaparak yeniden build/debug edip yayınlayacağım. Fakat bana ne katkısı olur ?


    31 Mayıs 2019 Cuma 06:45

Tüm Yanıtlar

  • iki sürüm arasında gelen yeni keyword/metod/dll gibi değişiklikler var ise kullanabilirsiniz. Ayrıca nuget paketlerinizi güncellemenizi isteyecek çünkü hazırda kurulu olanlar  4 client versiyonu için.

    Altan Özdemir

    31 Mayıs 2019 Cuma 07:43
  • iki sürüm arasında gelen yeni keyword/metod/dll gibi değişiklikler var ise kullanabilirsiniz. Ayrıca nuget paketlerinizi güncellemenizi isteyecek çünkü hazırda kurulu olanlar  4 client versiyonu için.

    Altan Özdemir

    Teşekkürler bilgi verdiğiniz için. Fakat benim sorum yeni framework son kullanıcı bazında bariz hissedilebilir hız farkı mı yaratıyor yoksa arka planda kodlama aşamasında yazılımcıya mı faydası var ?
    31 Mayıs 2019 Cuma 08:24
  • Her ikisi de .

    Altan Özdemir

    31 Mayıs 2019 Cuma 13:27
  • ben kendimce şu sonuca vardım bu soruyu kendime sorduğumda. Birazda fikrimden ziyada gelecek yorumları merak ediyorum bu yaklaşıma

    bana mantıken yayınlanmış en son framework yerine çalışabildiği en eski framework ile derlemenin daha mantıklı olduğu kanaatindeyim. Yazılımın destekleyen en eski framework o yazılımın en çok bilgisayarda sorunsuz çalışması anlamına gelecek mantıken.  Tabi ürünü kendiniz bir bilgisayara kuracaksanız gerekemez ama ticari dağıtımı olacak ise mantıken en eski framework bence daha mantıklı kurulan pc de framework sorununu en az yaşayacak olan en eski sürümdür diye düşünüyorum. Bu düşünceme itirazlarıda merakla bekliyorum benimde bu konuda endişelerim var doğrusu. Şimdilik en eski framework de inat ediyorum ben 

    31 Mayıs 2019 Cuma 17:13
  • ben kendimce şu sonuca vardım bu soruyu kendime sorduğumda. Birazda fikrimden ziyada gelecek yorumları merak ediyorum bu yaklaşıma

    bana mantıken yayınlanmış en son framework yerine çalışabildiği en eski framework ile derlemenin daha mantıklı olduğu kanaatindeyim. Yazılımın destekleyen en eski framework o yazılımın en çok bilgisayarda sorunsuz çalışması anlamına gelecek mantıken.  Tabi ürünü kendiniz bir bilgisayara kuracaksanız gerekemez ama ticari dağıtımı olacak ise mantıken en eski framework bence daha mantıklı kurulan pc de framework sorununu en az yaşayacak olan en eski sürümdür diye düşünüyorum. Bu düşünceme itirazlarıda merakla bekliyorum benimde bu konuda endişelerim var doğrusu. Şimdilik en eski framework de inat ediyorum ben 

    Burada hangi .net framework hangi işletim sistemine yüklü geliyor(default) yada hangi işletim sistemlerinde kullanılabiliyor tablo şeklinde izah edilmiş. .NET framework un bilinen en eski sürümü tabloda mevcut bile değil.



         

         

         

         
    31 Mayıs 2019 Cuma 17:54
  • bana mantıken yayınlanmış en son framework yerine çalışabildiği en eski framework ile derlemenin daha mantıklı olduğu kanaatindeyim. Yazılımın destekleyen en eski framework o yazılımın en çok bilgisayarda sorunsuz çalışması anlamına gelecek mantıken.

    Bilinen bütün güvenlik açıklarının ve hataların bulunduğu en yavaş çalışan sürüm gerçekten çok mantıklıymış. Ayrıca her sürümde eklenen bir sürü güzel özelliği kullanamamak veya yeni işletim sistemlerine olan uyumsuzluklar cabası. Sorularınızı artık yanıtlamayacak olsam da bu tür azaplara yanıt vermek zorunda hissediyorum kendimi.

    www.cihanyakar.com


    31 Mayıs 2019 Cuma 18:00
  • En düşük framework demek sizin projenizi destekleyen en düşük demek. Mesela ben sqlite kullanıyorum düşüğünü deneye deneye en son 4,5 a kadar indim. Benim için en düşük Framework desteği 4.5 ve ben onu kullanıyorum daha üstünü değil. Böylede yükleyen bilgisayarda 4.5 ve üstü framework varsa çalışacak demektir. Ama en yenisini seçseydim projede hemen hemen hiç bir pc de framework yetmeyecekti yüklemeye zorlayacaktı framework ü. Niye ben bu sıkıntıya katlanayım ki projem zaten 4.5 da çalışıyor bu o müşterinin derdi kendisi yüklesin lazımsa en yenisini.  Gayet mantıklı bir şey söylüyorum ben aslında. 

    Ayrıca sen bana zaten madem istemiyorsun cevap verme bana Cetin abi yeter. 

    bu dili öğrenip projelerimi yapıp bir milyar dolarım olunca çok koşarsın peşimde ama o zamanda ben sana cevap vermiyce



    • Düzenleyen hakan1992 31 Mayıs 2019 Cuma 19:55
    31 Mayıs 2019 Cuma 19:44
  • Bu sıkıntıya katlanmıyorsunuz , yüklerken kurmaya zorluyorsunuz . bunun için ya net bağlantısı arıyorsunuz ya da setup içerisine ekleyerek kurduruyorsunuz . Öyle pek dosya boyutu yüksek bir şey de değil . Mobil için kodlama yapmıyorsanız son sürümleri kullanmaya dikkat edin (mobil içinde android ya da ios versiyonu düşük tutabilirsiniz. bu sizin hitap ettiğiniz kitleye bağlıdır.)

    Altan Özdemir

    1 Haziran 2019 Cumartesi 15:41